# Delete runs by creation time

Launch stage: GA

`POST /api/2.0/mlflow/databricks/runs/delete-runs`

`POST /api/2.0/preview/mlflow/databricks/runs/delete-runs`

Bulk delete runs in an experiment that were created prior to or at the specified timestamp. Deletes at most
 max_runs per request. See the cloud-specific MLflow runs documentation for a Python client example.

API scopes: mlflow

**AWS**

For AWS, see https://docs.databricks.com/en/mlflow/runs.html#bulk-delete.

**Azure**

For Azure, see https://learn.microsoft.com/en-us/azure/databricks/mlflow/runs#bulk-delete.

**GCP**

For GCP, see https://docs.gcp.databricks.com/en/mlflow/runs.html#bulk-delete.

## Request body

- `experiment_id` (string, required)
  The ID of the experiment containing the runs to delete.
- `max_timestamp_millis` (int64, required)
  The maximum creation timestamp in milliseconds since the UNIX epoch for deleting runs. Only runs created prior to
   or at this timestamp are deleted.
- `max_runs` (int32, optional)
  An optional positive integer indicating the maximum number of runs to delete. The maximum allowed value for
   max_runs is 10000.

## Returns

- `runs_deleted` (int32, optional)
  The number of runs deleted.

## Response

```json
{
  "runs_deleted": 0
}
```

